

****************************This produces the maps******************************

clear 
set more off 
set matsize 800

cd ${basedir}/Data 
use ready_to_output.dta

********************************************************************************
*******Create variables for immediate loss in support (delta_immediate)*********
*******and for average lost after the end, (delta_post)*************************
*******************************************************************************


egen sup_post=rmean(bat_call_share_2011 bat_call_share_2015)
egen sup_pre=rmean(bat_call_share_1987 bat_call_share_1991 bat_call_share_1995 bat_call_share_1999 bat_call_share_2003)
gen delta_post=sup_post-sup_pre
gen delta_immediate=bat_call_share_2007-sup_pre

keep if year==2007
keep id bat_present_2007 delta_immediate delta_post 
sort id

save escaping_ban.dta, replace

********************************************************************************
*************************Produce the maps***************************************
********************************************************************************

 
clear all

shp2dta using CB_MUNICIPIOS_5000_ETRS89, database(usdb) coordinates(uscoord) genid(ident) replace

clear
use usdb
destring EUSTAT, replace
rename EUSTAT id
sort id
merge id using escaping_ban.dta
keep if _merge==3  
 
global method clmethod(q) clnumber(6) 

*original fcolor was red green and Heat, but removed to Grey
   
spmap bat_present_2007 using uscoord if delta_post!=. , id(ident) fcolor(gs10 gs3 ) title("Batasuna's 2007 Ban across municipalities" )  t2title("  ")  clmethod(custom) clbreaks (0 0.5 1) /*
*/  legend( label(2 "Banned in 2007")) legend(label( 3 "Legal in 2007" ) )  
quietly graph export ../paper/bat_present.eps, as(eps) replace 

spmap delta_post using uscoord if delta_post!=. , id(ident) fcolor(Greys)  title("Change in support after the end of the ban  (excl. 2007)" )  note("Change in Support=Batasuna+Null Votes, (2011-2015) vs. (1987-2003)", pos(6))  t2title("  ") $method

quietly graph export ../paper/change_afterend.eps, as(eps) replace
 
spmap delta_immediate using uscoord if delta_post!=. , id(ident) fcolor(Greys) title("Immediate change in support after the ban, 2007") note("Change in Support=Batasuna+Null Votes, (2007) vs. (1987-2003)", pos(6))  t2title("  ") legend( ) $method

quietly graph export ../paper/immediate_change.eps, as(eps) replace


erase escaping_ban.dta
erase usdb.dta
erase uscoord.dta
 
