



********************************************************************************
*************************BASQUE REGIONAL ELECTIONS******************************
********************************************************************************

*This files takes the raw data from Basque regional elections in different years,
*and puts it together, creating pjeusk.dta

*Each sheet in each of the excel files corresponds to the results in each of the
*Basque provinces, Araba-Alava, Gipuzkoa, and Bizkaia. Each province has a code,
*according to the Spanish classification: 1, 20 and 48, respectively, named codi_prov.

clear all
set more off
cd ${basedir}
global sleep 200

***2012
clear
import excel "Data/MunP12_c.xls", sheet("Araba-Alava") cellrange(A4:AC56) firstrow
save temp1, replace 
sleep $sleep
clear 
import excel "Data/MunP12_c.xls", sheet("Gipuzkoa") cellrange(A4:AC93) firstrow
save temp2, replace
sleep $sleep
clear
import excel "Data/MunP12_c.xls", sheet("Bizkaia") cellrange(A4:AC117) firstrow
save temp3, replace
sleep $sleep
clear
append using temp1
gen codi_prov=1
append using temp2
replace codi_prov=20 if codi_prov==.
append using temp3
replace codi_prov=48 if codi_prov==.

save p12eusk.dta, replace

sleep $sleep
***2009
clear all
import excel "Data/MunP09_c.xls", sheet("Araba-Alava") cellrange(A4:X56) firstrow
save temp1, replace
sleep $sleep
clear
import excel "Data/MunP09_c.xls", sheet("Gipuzkoa") cellrange(A4:X93) firstrow
save temp2, replace
sleep $sleep
clear 
import excel "Data/MunP09_c.xls", sheet("Bizkaia") cellrange(A4:X117) firstrow
save temp3, replace
sleep $sleep
clear
append using temp1
gen codi_prov=1
append using temp2
replace codi_prov=20 if codi_prov==.
append using temp3
replace codi_prov=48 if codi_prov==.
save p9eusk.dta, replace


***2005
clear all
import excel "Data/MunP05_c.xls", sheet("Araba-Alava") cellrange(A4:V56) firstrow
sleep $sleep
save temp1, replace
sleep $sleep
clear
import excel "Data/MunP05_c.xls", sheet("Gipuzkoa") cellrange(A4:V93) firstrow
sleep $sleep
save temp2, replace
sleep $sleep
clear
import excel "Data/MunP05_c.xls", sheet("Bizkaia") cellrange(A4:V116) firstrow
sleep $sleep
save temp3, replace
sleep $sleep

clear
append using temp1
gen codi_prov=1
append using temp2
replace codi_prov=20 if codi_prov==.
append using temp3
replace codi_prov=48 if codi_prov==.
save p5eusk.dta, replace


***2001

clear all
import excel "Data/MunP01_c.xls", sheet("Araba-Alava") cellrange(A4:T56) firstrow
save temp1, replace
sleep $sleep
clear
import excel "Data/MunP01_c.xls", sheet("Gipuzkoa") cellrange(A4:T93) firstrow
save temp2, replace
sleep $sleep
clear
import excel "Data/MunP01_c.xls", sheet("Bizkaia") cellrange(A4:T116) firstrow
save temp3, replace
sleep $sleep

clear
append using temp1
gen codi_prov=1
append using temp2
replace codi_prov=20 if codi_prov==.
append using temp3
replace codi_prov=48 if codi_prov==.
save p1eusk.dta, replace


***1998

clear all
import excel "Data/MunP98_c.xls", sheet("Araba-Alava") cellrange(A4:T56) firstrow
save temp1, replace
sleep $sleep
clear
import excel "Data/MunP98_c.xls", sheet("Gipuzkoa") cellrange(A4:T93) firstrow
save temp2, replace
sleep $sleep
clear
import excel "Data/MunP98_c.xls", sheet("Bizkaia") cellrange(A4:T116) firstrow
save temp3, replace
sleep $sleep

clear
append using temp1
gen codi_prov=1
append using temp2
replace codi_prov=20 if codi_prov==.
append using temp3
replace codi_prov=48 if codi_prov==.
save p98eusk.dta, replace

***1994

clear all
sleep $sleep
import excel "Data/MunP94_c.xls", sheet("Araba-Alava") cellrange(A4:R56) firstrow
save temp1, replace
sleep $sleep
clear
import excel "Data/MunP94_c.xls", sheet("Gipuzkoa") cellrange(A4:R92) firstrow
save temp2, replace
sleep $sleep
clear
import excel "Data/MunP94_c.xls", sheet("Bizkaia") cellrange(A4:R115) firstrow
save temp3, replace
sleep $sleep

clear
append using temp1
gen codi_prov=1
append using temp2
replace codi_prov=20 if codi_prov==.
append using temp3
replace codi_prov=48 if codi_prov==.
save p94eusk.dta, replace

***1990
sleep $sleep
clear all
import excel "Data/MunP90_c.xls", sheet("Araba-Alava") cellrange(A4:AC56) firstrow
save temp1, replace
sleep $sleep
clear
import excel "Data/MunP90_c.xls", sheet("Gipuzkoa") cellrange(A4:AC92) firstrow
save temp2, replace
sleep $sleep
clear
import excel "Data/MunP90_c.xls", sheet("Bizkaia") cellrange(A4:AC112) firstrow
save temp3, replace
sleep $sleep

clear
append using temp1
gen codi_prov=1
append using temp2
replace codi_prov=20 if codi_prov==.
append using temp3
replace codi_prov=48 if codi_prov==.
save p90eusk.dta, replace
sleep $sleep


***1986
clear all
import excel "Data/MunP86_c.xls", sheet("Araba-Alava") cellrange(A4:W56) firstrow
save temp1, replace
sleep $sleep
clear
import excel "Data/MunP86_c.xls", sheet("Gipuzkoa") cellrange(A4:W88) firstrow
save temp2, replace
sleep $sleep
clear
import excel "Data/MunP86_c.xls", sheet("Bizkaia") cellrange(A4:W107) firstrow
save temp3, replace
sleep $sleep

clear
append using temp1
gen codi_prov=1
append using temp2
replace codi_prov=20 if codi_prov==.
append using temp3
replace codi_prov=48 if codi_prov==.
save p86eusk.dta, replace



*Append all

clear all
gen year=.
foreach val in 12 9 5 1 98 94 90 86{
append using p`val'eusk.dta
erase p`val'eusk.dta
replace year=2012 if `val'==12 & year==.
replace year=2009 if `val'==9 & year==.
replace year=2005 if `val'==5 & year==.
replace year=2001 if `val'==1 & year==.
replace year=1998 if `val'==98 & year==.
replace year=1994 if `val'==94 & year==.
replace year=1990 if `val'==90 & year==.
replace year=1986 if `val'==86 & year==.
}

gen tipo=5

save Data/peusk.dta, replace 



clear all
 
use using Data/peusk.dta

rename codi_prov codi_pro	
rename CodMunicipio codi_mun
*postal voting is codi_mun=999
drop if codi_mun==999
rename AMBITO MUNICIPIO
gen codi_candi=.
gen conce_candi=.
gen id=codi_pro*1000+codi_mun
gen tipold=.
gen siglas=""
gen cabecera_provincial=.
gen cabecera_auto=.
gen cabecera_estatal=.
rename Censo cens
rename Blancos blancs
rename Nulos nuls
rename VotosCand acandi

drop  Votantes Válidos Abstenciones

 
ds tipo year codi_pro codi_mun codi_candi conce_candi id tipold siglas CodComarca cabecera_provincial cabecera_auto /*
*/	cabecera_estatal cens blancs nuls acandi MUNICIPIO, not

foreach var in `r(varlist)'{
rename `var' votos_candi`var'
}

save pjeusk_aux.dta, replace 


reshape long votos_candi, i(year codi_pro codi_mun) j(denominacion) string
drop if votos_candi==.
drop MUNICIPIO


save Data/p_eusk.dta, replace  
sleep $sleep

erase temp1.dta
erase temp2.dta
erase temp3.dta
erase pjeusk_aux.dta
erase Data/peusk.dta











