


****THIS FILE TAKES THE DOCUMENTATION ON LINKED CANDIDATES IN 2 STEPS

****1) FROM AN EXCEL THAT CONTAINS ALL THE TEXT IN THE ORIGINAL PDF SOURCE
* (Documents_IV/links_libertad_digital.pdf), IT CLEANS IT TO CREATE
****A DATABSE WITH INFORMATION ON THE NUMBER OF LINKS BY MUNICIPALITY

****2) DIRECTLY FROM THE PUBLIC PROSECUTOR DENOUNCE (MANUAL INPUT FROM THE
*PUBLIC PROSECUTOR FILE (pages 36 to 56 in  Documents_IV/demanda-fiscalia.pdf)



*****************************SOURCE 1*******************************************

clear all
cd ${basedir}/Data
set more off
import delimited  connected_csv2_onlymun.csv, clear 
*save Data/connected_csv2_onlymun_csv_dta.dta, replace
*use connected_csv2_onlymun_csv_dta.dta
forval z=1/10{
replace v1 = subinstr(v1, "'  ","' ",.)
}
split v1, parse(' ')

drop v11 v13 v15 v17 v19 v111

drop if v1=="         "
 
gen boletins=substr(v1,2,3)

drop if boletins=="BOV" | boletins=="BOE" | boletins=="BOG"

gen municipio=v12 if v14=="" & v16=="" & v18=="" & v110=="" & v112==""
replace municipio=municipio[_n-1] if municipio==""
drop if v14=="" & v16=="" & v18=="" & v110=="" & v112==""

gen aux=substr(v14,1,15)
replace v12=v14 if aux=="ABERTZALE SOZIA"
replace v14=v16 if aux=="ABERTZALE SOZIA"
replace v16="" if aux=="ABERTZALE SOZIA"
drop aux

gen aux=substr(v14,1,10)
gen party=v12 if aux=="(Presentan"
replace party=party[_n-1] if party==""
 
*The pdf also contains informatoin on links of Abertzale Sozialistak, the candidature that was fully banned in 2007. We only want those of EAE-ANV
keep if party=="ACCION NACIONALISTA VASCA" | party=="EUSKO ABERTZALE EKINTZA ACCION NACIONALISTA VASCA" | /*
*/ party=="EUSKO ABERTZALE EKINTZA ACCION NACIONALISTA VASCA (EAE-ANV)" | party=="EUSKO ABERTZALE EKINTZA-ACCION NACIONALISTA VASCA" | party=="EUSKO ABERTZALE EKINTZA-ACCION NACIONALISTA VASCA (EAE-ANV)" | /*
*/ party=="EUSKO ABERTZALE EKINTZA-ACCION NACIONALISTA VASCA EAE/ANV" | party=="EUSKO ABERTZALE EKINTZA/ACCION NACIONALISTA VASCA (EAE/ANV)" | party=="EUSKO ABERTZALE EKINTZA/ACCION NACIONALISTA VASCA EAE/ANV" | /*
*/ party=="EUSKO ABERTZALE EKINTZA/ACCION NACIONALISTA VASCA(EAE/ANV)" 
 
gen numcandi=v14 if aux=="(Presentan"
replace numcandi=subinstr(numcandi, "(Presentan", "",.)
replace numcandi=subinstr(numcandi, "candidatos)","",.)
destring numcandi, replace
replace numcandi=numcandi[_n-1] if numcandi==.
drop if aux=="(Presentan"
drop aux

gen aux=substr(v1,1,3)
replace aux=subinstr(aux,".","",.)
replace aux=subinstr(aux,"'","",.)
destring aux, replace force
rename aux order_candi

gen auxsup=substr(v1,4,8)
gen sup=.
replace sup=1 if (auxsup==" Suplent" | auxsup=="Suplente") & order_candi!=.
replace sup=0 if sup==. & order_candi!=.
drop auxsup
  
*identity is municipality order_candi sup
gen order_candi_original=order_candi
replace order_candi=order_candi[_n-1] if order_candi==.
replace sup=sup[_n-1] if sup==.
drop if order_candi_original!=.
drop order_candi_original

egen ident=group(order_candi municipio sup)
 
gen mesa_nacional_aux=0
replace mesa_nacional_aux=1 if v12=="SENT. ILEGALIZACION"

egen mesa_nacional=max(mesa_nacional_aux), by(ident)
drop if mesa_nacional_aux==1
drop mesa_nacional_aux boletins

gen year=substr(v12, -4,4)
drop v12
destring year, replace

rename v14 party_previous_elec
rename v16 tipo_previous_elec
rename v18 circumsc_previous_elec
rename v112 source

gen order_candi_previous_elec=substr(v110,1,2)

********************************************************************************
*The pdf also includes information on links on lists on provincial councils, which we drop / rearrange

 
 
gen auxjuntas=strpos(party_previous_elec, "Juntas Generales")
replace source=circumsc_previous_elec if auxjuntas!=0
replace circumsc_previous_elec=substr(tipo_previous_elec,1,31) if auxjuntas!=0
replace v110=substr(tipo_previous_elec,32,.) if auxjuntas!=0
replace tipo_previous_elec="Juntas Generales" if auxjuntas!=0
replace party_previous_elec=subinstr(party_previous_elec, " Juntas Generales", "",.)
replace order_candi_previous_elec=substr(v110,1,2) if auxjuntas!=0

drop auxjuntas
 
gen auxsource=1 if source==""

replace source=v110 if auxsource==1

replace v110=circumsc_previous_elec if auxsource==1 & party_previous_elec!="HB" & party_previous_elec!="EH"
replace v110=substr(circumsc_previous_elec, 31,.) if auxsource==1 & ( party_previous_elec=="HB" |party_previous_elec=="EH")

replace circumsc_previous_elec=tipo_previous_elec if auxsource==1 &  party_previous_elec!="HB" & party_previous_elec!="EH" 
replace circumsc_previous_elec=substr(circumsc_previous_elec,1,30) if auxsource==1 & ( party_previous_elec=="HB" |party_previous_elec=="EH") 

replace tipo_previous_elec="Municipales" if auxsource==1 & party_previous_elec!="HB" & party_previous_elec!="EH"
replace party_previous_elec=subinstr(party_previous_elec,"Municipales","",.) if auxsource==1 & party_previous_elec!="HB" & party_previous_elec!="EH"

replace order_candi_previous_elec=substr(v110,1,2) if auxsource==1
destring order_candi_previous_elec, replace

replace v110=trim(v110)
gen tipo_candi_previous_elec=substr(v110,3,.)

drop v110 auxsource
********************************************************************************


*********CREATE LINK DEFINITION BASED ON THE PUBLIC PROSECUTOR CRITETRIUM*******
 



/*Desde el punto de vista cuantitativo incluir, al menos, tres candidatos
con una relación directa y relevante con el partido ilegalizado, como
candidatos del mismo en procesos electores recientes o por ocupar o
haber ocupado cargos orgánicos en su representación
Para alcanzar este número no se toman, en principio, en
consideración los procesos electorales anteriores a las elecciones
municipales de 1995, o los candidatos que conocidamente pertenecen
al Partido A.N.V. En cuanto a los centenares de candidatos incluidos
en las candidaturas electorales anuladas en ejecución de la Sentencia
de 27 de marzo de 2003 (AuB, en el año 2003, Herritarren Zerrenda
en 2004, y Aukera Guztiak en 2005) no se estiman, por sí solos,
determinantes de impugnación, aun cuando alcanzado el número
mínimo antes indicado a través de candidatos más relevantes, pueden
constituir un elemento indiciario adicional de vinculación de la
candidatura a la planificación fraudulenta del Partido ilegalizado, si
bien a través de una vinculación menor

Desde el punto de vista cualitativo, que, además, alguno de los
candidatos participantes en elecciones anteriores en directa
representación de los Partidos ilegalizados haya resultado elegido y
ocupado cargo institucional (alcalde, concejal, parlamentario
autonómico, miembro de juntas generales, etc.), lo que en sí mismo
resulta doblemente indicativo de que ocupaba un puesto relevante en
la lista electoral, y por tanto de su importancia en la estructura de la
organización ilegalizada, y de que socialmente resulta identificado
como cargo público del partido ilegalizado


Las vinculaciones personales de algunos miembros de las candidaturas impugnadas presentadas
 por el partido EUSKO EKINTZA ABERTZALE-ACCIÓN NACIONALISTA VASCA con los partidos ilegalizados
 que se toman en consideración para demostrar la relación de sucesión y continuación
 de la actividad de Batasuna, consisten en la pertenencia a los partidos ilegalizados,
 demostrada por el carácter dirigente de las personas en cuestión, o por su participación
 en anteriores procesos electorales en las listas de los partidos ilegalizados o
 agrupaciones de electores, también ilegalizadas por relación de sucesión o continuación.
 A estos efectos, a propósito de la integración en listas electorales, y para evitar debates
 en torno a la relevancia actual de la pertenencia pretérita a dichos partidos o candidaturas
 en períodos más remotos, se tomará en consideración únicamente la participación en los
 procesos electorales habidos a partir del año 1999, esto es, las elecciones municipales,
 autonómicas y forales de 1999, generales de 2000, autonómicas vascas de 2001 y 2005,
 municipales, autonómicas en Navarra y forales de 2003 y europeas de 2004. Ello porque
 en los casos en que sólo existen elementos de participación en la actividad de Batasuna
 anteriores a 1999, parece más ajustado entender, en un sentido lo menos restrictivo
 posible para los derechos de participación política, que esa vinculación pretérita
 con los partidos ilegalizados, no mantenida con posterioridad, no debe ser tenida en cuenta.
 De todos modos, ni que decir tiene que la participación en procesos electorales en las
 convocatorias mencionadas suele ir acompañada de participación en otras convocatorias
 anteriores y en las actividades políticas de Batasuna desde mucho antes.
*/



gen count_1=0
replace count_1=1 if year>=1995  

gen count_2=0
replace count_2=1 if party_previous_elec=="EH" | party_previous_elec=="HB" | party_previous_elec=="HERRI BATASUNA" | party_previous_elec=="HERRI BATASUNA (HB)"

gen aub=strpos(party_previous_elec, "AUB")
replace aub=1 if aub!=0

gen herzer=strpos(party_previous_elec,"HERRITARREN ZER")
replace herzer=1 if herzer!=0 

gen aukera=strpos(party_previous_elec,"AUKERA GUZTIAK")
replace aukera=1 if aukera!=0 

gen other_aux=1 if year>=2003
replace other_aux=0 if year<2003
*other links
egen other=max(other_aux), by(ident)


 
gen count=count_1*count_2
egen countcandi=max(count), by(ident)
replace countcandi=0 if countcandi==.
 
replace other=0 if countcandi==1


bys ident: gen count3=_n
replace count3=0 if count3!=1
replace countcandi=countcandi*count3

replace other=other*count3

egen sumcount=sum(countcandi), by(municipio)
egen sumother=sum(other), by(municipio)
 

replace tipo_candi_previous_elec=trim(tipo_candi_previous_elec)

gen count_elected_3=0
replace count_elected_3=1 if tipo_candi_previous_elec=="Electo" | tipo_candi_previous_elec=="Suplente Electo"

gen count_elected=count_1*count_2*count_elected_3
egen countcandi_elected=max(count_elected), by(ident)
replace countcandi_elected=0 if countcandi_elected==.


replace countcandi_elected=countcandi_elected*count3

egen sumcount_elected=sum(countcandi_elected), by(municipio)
 

bys ident: gen aux=_n
replace aux=0 if aux!=1
egen numcandis=sum(aux), by(municipio)
drop aux 



bys municipio: gen unique=_n


 
keep if unique==1
drop unique

gen names=0

********************************************************************************
*******************HARMONIZE MUNICIPALITY NAMES AND CODES***********************
append using codis_mun.dta

*replace special characters in codis_mun.dta in case stata version cannot read them (14 and newer)
replace municipio="ABADIÑO" if codi_pro==48 & codi_mun==1
replace municipio="ABANTO Y CIÉRVANA-ABANTO ZIERBENA" if codi_pro==48 & codi_mun==2
replace municipio="ARMIÑÓN" if codi_pro==1 & codi_mun==6
replace municipio="ARRASATE/MONDRAGÓN" if codi_pro==20 & codi_mun==55
replace municipio="AÑANA" if codi_pro==1 & codi_mun==49
replace municipio="BAÑOS DE EBRO/MAÑUETA" if codi_pro==1 & codi_mun==11
replace municipio="DONOSTIA/SAN SEBASTIÁN"  if codi_pro==20 & codi_mun==69
replace municipio="EREÑO"  if codi_pro==48 & codi_mun==33
replace municipio="GÜEÑES"  if codi_pro==48 & codi_mun==45
replace municipio="IRUÑA OKA/IRUÑA DE OCA"  if codi_pro==1 & codi_mun==901
replace municipio="LAGRÁN"  if codi_pro==1 & codi_mun==30
replace municipio="LANTARÓN"  if codi_pro==1 & codi_mun==902
replace municipio="MAÑARIA"  if codi_pro==48 & codi_mun==59
replace municipio="MEÑAKA"  if codi_pro==48 & codi_mun==64
replace municipio="MOREDA DE ÁLAVA/MOREDA ARABA"  if codi_pro==1 & codi_mun==39
replace municipio="OYÓN-OION"  if codi_pro==1 & codi_mun==43
replace municipio="OÑATI"  if codi_pro==20 & codi_mun==59
replace municipio="SAN MILLÁN/DONEMILIAGA"  if codi_pro==1 & codi_mun==53
replace municipio="URDUÑA"  if codi_pro==48 & codi_mun==74
replace municipio="VALLE DE TRÁPAGA-TRAPAGARAN"  if codi_pro==48 & codi_mun==80
replace municipio="VILLABUENA DE ÁLAVA/ESKUERNAGA"  if codi_pro==1 & codi_mun==57
replace municipio="YÉCORA/IEKORA"  if codi_pro==1 & codi_mun==60
 

replace names=1 if names==.
drop if municipio=="ARAKALDO" & names==1

replace municipio="ETXEBARRI_withoutA" if municipio=="ETXEBARRI"
replace municipio="G†E„ES" if municipio=="GÜEÑES"
replace municipio="LEGUTIANO" if municipio=="LEGUTIO"
replace municipio="MUNITIBAR" if municipio=="MUNITIBAR-ARBATZEGI GERRIKAITZ"
replace municipio="RIBERA ALTA" if municipio=="ERRIBERAGOITIA/RIBERA ALTA"
replace municipio="SOPELA" if municipio=="SOPELANA"
replace municipio="URDU„A" if municipio=="URDUÑA"
replace municipio="VILLABUENA/ESKUERNAGA" if municipio=="VILLABUENA DE ÁLAVA/ESKUERNAGA"
replace municipio="VILLABUENA/ESKUERNAGA" if municipio=="VILLABUENA DE çLAVA/ESKUERNAGA"
replace municipio="ZALDIBIA_aux" if municipio=="ZALDIBIA"
replace municipio="AZPEITIA_aux" if municipio=="AZPEITIA"
replace municipio="LEMOA_aux" if municipio=="LEMOA"


*Gue–es and Urdu–a change in the mac version, and also the following:

replace municipio="ABADI–O" if municipio=="ABADIñO"
replace municipio="ABADI„O" if municipio=="ABADIÑO"
replace municipio="ABANTO Y CIŽRVANA-ABANTO ZIERBENA" if municipio=="ABANTO Y CIéRVANA-ABANTO ZIERBENA"
replace municipio="ALEGR’A-DULANTZI" if municipio=="ALEGRíA-DULANTZI"
replace municipio="ARMI–—N" if municipio=="ARMIñóN"
replace municipio="ARRASATE/MONDRAG—N" if municipio=="ARRASATE/MONDRAGóN"
replace municipio="A„ANA" if municipio=="AÑANA"
replace municipio="A–ANA" if municipio=="AñANA"
replace municipio="BA–OS DE EBRO/MA–UETA" if municipio=="BAñOS DE EBRO/MAñUETA"
replace municipio="DONOSTIA/SAN SEBASTI‡N" if municipio=="DONOSTIA/SAN SEBASTIáN"
replace municipio="ERE–O" if municipio=="EREñO"
replace municipio="G†E„ES" if municipio=="GüEñES"
replace municipio="G†E„ES" if municipio=="GŸE–ES"
replace municipio="IRU„A OKA/IRU„A DE OCA" if municipio=="IRUÑA OKA/IRUÑA DE OCA"
replace municipio="IRU–A OKA/IRU–A DE OCA" if municipio=="IRUñA OKA/IRUñA DE OCA"
replace municipio="LAGR‡N" if municipio=="LAGRáN"
replace municipio="LANTAR—N" if municipio=="LANTARóN"
replace municipio="MA„ARIA" if municipio=="MAÑARIA"
replace municipio="MA–ARIA" if municipio=="MAñARIA"
replace municipio="ME„AKA" if municipio=="MEÑAKA"
replace municipio="ME–AKA" if municipio=="MEñAKA"
replace municipio="MOREDA DE çLAVA/MOREDA ARABA" if municipio=="MOREDA DE ÁLAVA/MOREDA ARABA"
replace municipio="OY—N-OION" if municipio=="OYóN-OION"
replace municipio="O„ATI" if municipio=="OÑATI"
replace municipio="O–ATI" if municipio=="OñATI"
replace municipio="PE–ACERRADA-URIZAHARRA" if municipio=="PEñACERRADA-URIZAHARRA"
replace municipio="SAN MILL‡N/DONEMILIAGA" if municipio=="SAN MILLáN/DONEMILIAGA"
replace municipio="URDU„A" if municipio=="URDUÑA"
replace municipio="URDU„A" if municipio=="URDUñA/ORDUñA"
replace municipio="URDU„A" if municipio=="URDU–A/ORDU–A"
replace municipio="VALDEGOV’A/GAUBEA" if municipio=="VALDEGOVíA/GAUBEA"
replace municipio="VALLE DE TR‡PAGA-TRAPAGARAN" if municipio=="VALLE DE TRáPAGA-TRAPAGARAN"
replace municipio="YŽCORA/IEKORA" if municipio=="YéCORA/IEKORA"
************
************

strgroup municipio, gen(muni) threshold(0.25)

egen maxnames=max(names), by(muni)
egen minnames=min(names), by(muni)
 
keep if maxnames==1 & minnames==0

egen ncodi_pro=max(codi_pro), by(muni)
replace codi_pro=ncodi_pro
drop ncodi_pro
egen ncodi_mun=max(codi_mun), by(muni)
replace codi_mun=ncodi_mun
drop ncodi_mun maxnames minnames
 
drop if names==1
gen aux=1
append using codis_mun.dta
replace aux=0 if aux==.
egen maxaux=max(aux), by(codi_mun codi_pro)
keep if aux==1 | maxaux==0
 
********************************************************************************
*Links measures: 
gen three=0
replace three=1 if sumcount>=3 & sumcount!=.

gen three_elected=0
replace three_elected=1 if sumcount>=3 & sumcount_elected>=1   

gen three_weak=0
replace three_weak=1 if sumcount>=3 & numcandis>sumcount

gen three_elected_weak=0
replace three_elected_weak=1 if sumcount>=3 & sumcount_elected>=1 & numcandis>sumcount

keep codi_pro codi_mun numcandis aub herzer aukera mesa_nacional three three_elected /*
*/ three_weak three_elected_weak sumcount sumcount_elected municipio sumother


sort codi_pro codi_mun

 
***********************************SOURCE 2************************************* 
*****************************PUBLIC PROSECUTOR COUNTS***************************
 
*ALAVA (BASQUE PROVINCE 1)
 
gen sumcount_fiscal=.
gen sumcount_elected_fiscal=.
gen weak_fiscal=.
gen terror=.
 
replace sumcount_fiscal=5 if municipio=="AYALA-AIARA"
replace sumcount_elected_fiscal=2 if municipio=="AYALA-AIARA"
replace weak_fiscal=7 if municipio=="AYALA-AIARA"

replace sumcount_fiscal=8 if municipio=="ARTZINIEGA"
replace sumcount_elected_fiscal=1 if municipio=="ARTZINIEGA"

replace sumcount_fiscal=4 if municipio=="ASPARRENA"
replace sumcount_elected_fiscal=0 if municipio=="ASPARRENA"
replace weak_fiscal=5 if municipio=="ASPARRENA"

replace sumcount_fiscal=2 if municipio=="BERNEDO"
replace sumcount_elected_fiscal=0 if municipio=="BERNEDO"
replace weak_fiscal=6 if municipio=="BERNEDO"

replace sumcount_fiscal=3 if municipio=="HARANA/VALLE DE ARANA"
replace sumcount_elected_fiscal=2 if municipio=="HARANA/VALLE DE ARANA"

replace sumcount_fiscal=6 if municipio=="KUARTANGO"
replace sumcount_elected_fiscal=1 if municipio=="KUARTANGO"

replace sumcount_fiscal=4 if municipio=="LABASTIDA/BASTIDA"
replace sumcount_elected_fiscal=1 if municipio=="LABASTIDA/BASTIDA"
replace weak_fiscal=7 if municipio=="LABASTIDA/BASTIDA"

replace sumcount_fiscal=3 if municipio=="LANTARON"
replace sumcount_elected_fiscal=0 if municipio=="LANTARON"

replace sumcount_fiscal=3 if municipio=="LEGUTIANO"
replace sumcount_elected_fiscal=1 if municipio=="LEGUTIANO"
replace weak_fiscal=6 if municipio=="LEGUTIANO"
 
replace sumcount_fiscal=8 if municipio=="OYON-OION"
replace sumcount_elected_fiscal=1 if municipio=="OYON-OION"
replace weak_fiscal=10 if municipio=="OYON-OION"

replace sumcount_fiscal=6 if municipio=="OKONDO"
replace sumcount_elected_fiscal=1 if municipio=="OKONDO"

replace sumcount_fiscal=3 if municipio=="SALVATIERRA/AGURAIN"
replace sumcount_elected_fiscal=2 if municipio=="SALVATIERRA/AGURAIN"
replace weak_fiscal=4 if municipio=="SALVATIERRA/AGURAIN"

replace sumcount_fiscal=5 if municipio=="SAMANIEGO"
replace sumcount_elected_fiscal=1 if municipio=="SAMANIEGO"
 
replace sumcount_fiscal=4 if municipio=="VILLABUENA/ESKUERNAGA"
replace sumcount_elected_fiscal=2 if municipio=="VILLABUENA/ESKUERNAGA"
replace weak_fiscal=6 if municipio=="VILLABUENA/ESKUERNAGA"

replace sumcount_fiscal=3 if municipio=="VITORIA-GASTEIZ"
replace sumcount_elected_fiscal=0 if municipio=="VITORIA-GASTEIZ"
replace weak_fiscal=4 if municipio=="VITORIA-GASTEIZ"
replace terror=1 if municipio=="VITORIA-GASTEIZ"

replace sumcount_fiscal=3 if municipio=="ZUIA"
replace sumcount_elected_fiscal=1 if municipio=="ZUIA"
replace weak_fiscal=5 if municipio=="ZUIA"

*VIZCAYA (BASQUE PROVINCE 48)

replace sumcount_fiscal=6 if municipio=="ALONSOTEGI"
replace sumcount_elected_fiscal=2 if municipio=="ALONSOTEGI"
replace weak_fiscal=8 if municipio=="ALONSOTEGI"

replace sumcount_fiscal=3 if municipio=="AMOREBIETA-ETXANO"
replace sumcount_elected_fiscal=0 if municipio=="AMOREBIETA-ETXANO"
replace weak_fiscal=7 if municipio=="AMOREBIETA-ETXANO"

replace sumcount_fiscal=3 if municipio=="ARRATZU"
replace sumcount_elected_fiscal=2 if municipio=="ARRATZU"
replace weak_fiscal=4 if municipio=="ARRATZU"

replace sumcount_fiscal=5 if municipio=="ARRANKUDIAGA"
replace sumcount_elected_fiscal=1 if municipio=="ARRANKUDIAGA"
replace weak_fiscal=6 if municipio=="ARRANKUDIAGA"

replace sumcount_fiscal=10 if municipio=="ARRIGORRIAGA"
replace sumcount_elected_fiscal=2 if municipio=="ARRIGORRIAGA"
replace weak_fiscal=11 if municipio=="ARRIGORRIAGA"

replace sumcount_fiscal=4 if municipio=="ARTEA"
replace sumcount_elected_fiscal=1 if municipio=="ARTEA"
replace weak_fiscal=8 if municipio=="ARTEA"

replace sumcount_fiscal=4 if municipio=="ARTZENTALES"
replace sumcount_elected_fiscal=1 if municipio=="ARTZENTALES"
replace weak_fiscal=5 if municipio=="ARTZENTALES"

replace sumcount_fiscal=8 if municipio=="BALMASEDA"
replace sumcount_elected_fiscal=0 if municipio=="BALMASEDA"
replace weak_fiscal=14 if municipio=="BALMASEDA"

replace sumcount_fiscal=4 if municipio=="BARRIKA"
replace sumcount_elected_fiscal=2 if municipio=="BARRIKA"
replace weak_fiscal=6 if municipio=="BARRIKA"

replace sumcount_fiscal=6 if municipio=="BASAURI" 
replace sumcount_elected_fiscal=1 if municipio=="BASAURI"
replace weak_fiscal=16 if municipio=="BASAURI"

replace sumcount_fiscal=6 if municipio=="BERANGO"
replace sumcount_elected_fiscal=1 if municipio=="BERANGO"

replace sumcount_fiscal=5 if municipio=="BERMEO"
replace sumcount_elected_fiscal=1 if municipio=="BERMEO"
replace weak_fiscal=8 if municipio=="BERMEO"

replace sumcount_fiscal=8 if municipio=="BILBAO"
replace sumcount_elected_fiscal=1  if municipio=="BILBAO"
replace weak_fiscal=13  if municipio=="BILBAO"

replace sumcount_fiscal=4 if municipio=="DIMA"
replace sumcount_elected_fiscal=1 if municipio=="DIMA"
replace weak_fiscal=8 if municipio=="DIMA"

replace sumcount_fiscal=3 if municipio=="EA"
replace sumcount_elected_fiscal=2 if municipio=="EA"
replace weak_fiscal=4 if municipio=="EA"

replace sumcount_fiscal=7 if municipio=="ERANDIO"
replace sumcount_elected_fiscal=2 if municipio=="ERANDIO"
replace weak_fiscal=12 if municipio=="ERANDIO"

replace sumcount_fiscal=7 if municipio=="ERMUA"
replace sumcount_elected_fiscal=2 if municipio=="ERMUA"
replace weak_fiscal=11 if municipio=="ERMUA"

replace sumcount_fiscal=4 if municipio=="ERRIGOITI"
replace sumcount_elected_fiscal=0 if municipio=="ERRIGOITI"

replace sumcount_fiscal=4 if municipio=="ETXEBARRI_withoutA"
replace sumcount_elected_fiscal=1 if municipio=="ETXEBARRI_withoutA"
replace weak_fiscal=5 if municipio=="ETXEBARRI_withoutA"

replace sumcount_fiscal=3 if municipio=="FORUA"
replace sumcount_elected_fiscal=1 if municipio=="FORUA"
replace weak_fiscal=7 if municipio=="FORUA"

replace sumcount_fiscal=3 if municipio=="FRUIZ"
replace sumcount_elected_fiscal=1 if municipio=="FRUIZ"
replace weak_fiscal=6 if municipio=="FRUIZ"

replace sumcount_fiscal=6 if municipio=="GALDAKAO"
replace sumcount_elected_fiscal=2 if municipio=="GALDAKAO"
replace weak_fiscal=8 if municipio=="GALDAKAO"

replace sumcount_fiscal=5 if municipio=="GALDAMES"
replace sumcount_elected_fiscal=1 if municipio=="GALDAMES"
replace weak_fiscal=11 if municipio=="GALDAMES"

replace sumcount_fiscal=7 if municipio=="GETXO"
replace sumcount_elected_fiscal=3 if municipio=="GETXO"
replace weak_fiscal=15 if municipio=="GETXO"

replace sumcount_fiscal=6 if municipio=="GORDEXOLA"
replace sumcount_elected_fiscal=1 if municipio=="GORDEXOLA"
 
replace sumcount_fiscal=5 if municipio=="G†E„ES" | municipio=="GŸE–ES"
replace sumcount_elected_fiscal=2 if municipio=="G†E„ES" | municipio=="GŸE–ES"
replace weak_fiscal=9 if municipio=="G†E„ES" | municipio=="GŸE–ES"
 
replace sumcount_fiscal=4 if municipio=="KARRANTZA HARANA VALLE DE CARRANZA"
replace sumcount_elected_fiscal=1 if municipio=="KARRANTZA HARANA VALLE DE CARRANZA"
replace weak_fiscal=8 if municipio=="KARRANTZA HARANA VALLE DE CARRANZA"

replace sumcount_fiscal=7 if municipio=="LEIOA"
replace sumcount_elected_fiscal=3 if municipio=="LEIOA"
replace weak=14 if municipio=="LEIOA"

replace sumcount_fiscal=4 if municipio=="LEKEITIO"
replace sumcount_elected_fiscal=1 if municipio=="LEKEITIO"
replace weak_fiscal=8 if municipio=="LEKEITIO"
 
replace sumcount_fiscal=5 if municipio=="LEMOA_aux"
replace sumcount_elected_fiscal=2 if municipio=="LEMOA_aux"
replace weak_fiscal=8 if municipio=="LEMOA_aux"

replace sumcount_fiscal=8 if municipio=="LEZAMA"
replace sumcount_elected_fiscal=1 if municipio=="LEZAMA"
replace weak_fiscal=11 if municipio=="LEZAMA"

replace sumcount_fiscal=5 if municipio=="LOIU"
replace sumcount_elected_fiscal=0  if municipio=="LOIU"
replace weak_fiscal=6 if municipio=="LOIU"
 
replace sumcount_fiscal=6 if municipio=="MA„ARIA"
replace sumcount_elected_fiscal=1 if municipio=="MA„ARIA"

replace sumcount_fiscal=5 if municipio=="MENDEXA"
replace sumcount_elected_fiscal=3 if municipio=="MENDEXA"
replace weak_fiscal=6 if municipio=="MENDEXA"

replace sumcount_fiscal=4 if municipio=="MORGA"
replace sumcount_elected_fiscal=3 if municipio=="MORGA"

replace sumcount_fiscal=3 if municipio=="MUNDAKA"
replace sumcount_elected_fiscal=1 if municipio=="MUNDAKA"

replace sumcount_fiscal=4 if municipio=="MUNITIBAR"
replace sumcount_elected_fiscal=1 if municipio=="MUNITIBAR"
replace weak_fiscal=5 if municipio=="MUNITIBAR"

replace sumcount_fiscal=6 if municipio=="MUSKIZ"
replace sumcount_elected_fiscal=1 if municipio=="MUSKIZ"
replace weak_fiscal=9 if municipio=="MUSKIZ"

replace sumcount_fiscal=7 if municipio=="NABARNIZ"
replace sumcount_elected_fiscal=3 if municipio=="NABARNIZ"

replace sumcount_fiscal=4 if municipio=="ONDARROA"
replace sumcount_elected_fiscal=1 if municipio=="ONDARROA"
replace weak_fiscal=8 if municipio=="ONDARROA"

replace sumcount_fiscal=5 if municipio=="OROZKO"
replace sumcount_elected_fiscal=2  if municipio=="OROZKO"
replace weak_fiscal=7  if municipio=="OROZKO"

replace sumcount_fiscal=4 if municipio=="ORTUELLA"
replace sumcount_elected_fiscal=1 if municipio=="ORTUELLA"
replace weak_fiscal=10 if municipio=="ORTUELLA"

replace sumcount_fiscal=7 if municipio=="PORTUGALETE"
replace sumcount_elected_fiscal=2 if municipio=="PORTUGALETE"
replace weak_fiscal=14 if municipio=="PORTUGALETE"

replace sumcount_fiscal=8 if municipio=="SANTURTZI"
replace sumcount_elected_fiscal=0 if municipio=="SANTURTZI"
replace weak_fiscal=13 if municipio=="SANTURTZI"

replace sumcount_fiscal=7 if municipio=="SESTAO"
replace sumcount_elected_fiscal=2 if municipio=="SESTAO"
replace weak_fiscal=14 if municipio=="SESTAO"

replace sumcount_fiscal=5 if municipio=="SONDIKA"
replace sumcount_elected_fiscal=1 if municipio=="SONDIKA"

replace sumcount_fiscal=6 if municipio=="SOPUERTA"
replace sumcount_elected_fiscal=0 if municipio=="SOPUERTA"
replace weak_fiscal=9 if municipio=="SOPUERTA"

replace sumcount_fiscal=4 if municipio=="SUKARRIETA"
replace sumcount_elected_fiscal=1 if municipio=="SUKARRIETA"

replace sumcount_fiscal=6 if municipio=="URDULIZ"
replace sumcount_elected_fiscal=2 if municipio=="URDULIZ"
replace weak_fiscal=7 if municipio=="URDULIZ"

replace sumcount_fiscal=3 if municipio=="URDU„A"
replace sumcount_elected_fiscal=1 if municipio=="URDU„A"
replace weak_fiscal=6 if municipio=="URDU„A"

replace sumcount_fiscal=6 if municipio=="ZALDIBAR"
replace sumcount_elected_fiscal=1 if municipio=="ZALDIBAR"
replace weak_fiscal=7 if municipio=="ZALDIBAR"

replace sumcount_fiscal=10 if municipio=="ZALLA"
replace sumcount_elected_fiscal=1 if municipio=="ZALLA"
replace weak_fiscal=11 if municipio=="ZALLA"

replace sumcount_fiscal=7 if municipio=="ZAMUDIO"
replace sumcount_elected_fiscal=3 if municipio=="ZAMUDIO"
replace weak_fiscal=10 if municipio=="ZAMUDIO"

replace sumcount_fiscal=3 if municipio=="ZARATAMO"
replace sumcount_elected_fiscal=1 if municipio=="ZARATAMO"
replace weak_fiscal=5 if municipio=="ZARATAMO"

replace sumcount_fiscal=4 if municipio=="ZEBERIO"
replace sumcount_elected_fiscal=1 if municipio=="ZEBERIO"
replace weak_fiscal=6 if municipio=="ZEBERIO"

*Gipuzkoa (BASQUE PROVINCE 20)

replace sumcount_fiscal=7 if municipio=="ANDOAIN"
replace sumcount_elected_fiscal=0 if municipio=="ANDOAIN"
replace weak_fiscal=9 if municipio=="ANDOAIN"

replace sumcount_fiscal=3 if municipio=="ARETXABALETA"
replace sumcount_elected_fiscal=1 if municipio=="ARETXABALETA"
replace weak_fiscal=3 if municipio=="ARETXABALETA"

replace sumcount_fiscal=3 if municipio=="ASTEASU"
replace sumcount_elected_fiscal=2 if municipio=="ASTEASU"
replace weak_fiscal=3 if municipio=="ASTEASU"

replace sumcount_fiscal=3 if municipio=="ASTIGARRAGA"
replace sumcount_elected_fiscal=2 if municipio=="ASTIGARRAGA"
replace weak_fiscal=3 if municipio=="ASTIGARRAGA"

replace sumcount_fiscal=3 if municipio=="ATAUN"
replace sumcount_elected_fiscal=1 if municipio=="ATAUN"
replace weak_fiscal=4 if municipio=="ATAUN"
replace terror=1 if municipio=="ATAUN"

replace sumcount_fiscal=5 if municipio=="BEASAIN"
replace sumcount_elected_fiscal=2 if municipio=="BEASAIN"
replace weak_fiscal=7 if municipio=="BEASAIN"

replace sumcount_fiscal=6 if municipio=="DONOSTIA-SAN SEBASTIAN"
replace sumcount_elected_fiscal=2 if municipio=="DONOSTIA-SAN SEBASTIAN"
replace weak_fiscal=8 if municipio=="DONOSTIA-SAN SEBASTIAN"

replace sumcount_fiscal=7 if municipio=="EIBAR"
replace sumcount_elected_fiscal=1 if municipio=="EIBAR"
replace weak_fiscal=10 if municipio=="EIBAR"

replace sumcount_fiscal=4 if municipio=="ELDUAIN"
replace sumcount_elected_fiscal=3 if municipio=="ELDUAIN"
replace weak_fiscal=4 if municipio=="ELDUAIN"

replace sumcount_fiscal=3 if municipio=="ELGOIBAR"
replace sumcount_elected_fiscal=2 if municipio=="ELGOIBAR"
replace weak_fiscal=3 if municipio=="ELGOIBAR"

replace sumcount_fiscal=4 if municipio=="IBARRA"
replace sumcount_elected_fiscal=2 if municipio=="IBARRA"
replace weak_fiscal=7 if municipio=="IBARRA"

replace sumcount_fiscal=5 if municipio=="IRURA"
replace sumcount_elected_fiscal=3 if municipio=="IRURA"
replace weak_fiscal=6 if municipio=="IRURA"

replace sumcount_fiscal=5 if municipio=="LAZKAO"
replace sumcount_elected_fiscal=1 if municipio=="LAZKAO"
replace weak_fiscal=9 if municipio=="LAZKAO"

replace sumcount_fiscal=3 if municipio=="LEABURU"
replace sumcount_elected_fiscal=3 if municipio=="LEABURU"
replace weak_fiscal=4 if municipio=="LEABURU"

replace sumcount_fiscal=4 if municipio=="O„ATI"
replace sumcount_elected_fiscal=2 if municipio=="O„ATI"
replace weak_fiscal=9 if municipio=="O„ATI"

replace sumcount_fiscal=4 if municipio=="ORDIZIA"
replace sumcount_elected_fiscal=1 if municipio=="ORDIZIA"
replace weak_fiscal=7 if municipio=="ORDIZIA"

replace sumcount_fiscal=3 if municipio=="SEGURA"
replace sumcount_elected_fiscal=1 if municipio=="SEGURA"
replace weak_fiscal=6 if municipio=="SEGURA"

replace sumcount_fiscal=4 if municipio=="TOLOSA"
replace sumcount_elected_fiscal=2 if municipio=="TOLOSA"
replace weak_fiscal=5 if municipio=="TOLOSA"

replace sumcount_fiscal=3 if municipio=="ZALDIBIA_aux"
replace sumcount_elected_fiscal=2 if municipio=="ZALDIBIA_aux"
replace weak_fiscal=5 if municipio=="ZALDIBIA_aux"

replace sumcount_fiscal=4 if municipio=="ZARAUTZ"
replace sumcount_elected_fiscal=1 if municipio=="ZARAUTZ"
replace weak_fiscal=10 if municipio=="ZARAUTZ"

replace sumcount_fiscal=7 if municipio=="ZIZURKIL"
replace sumcount_elected_fiscal=4 if municipio=="ZIZURKIL"
replace weak_fiscal=9 if municipio=="ZIZURKIL"

replace sumcount_fiscal=5 if municipio=="ZUMARRAGA"
replace sumcount_elected_fiscal=0 if municipio=="ZUMARRAGA"
replace weak_fiscal=5 if municipio=="ZUMARRAGA"

 
********************We keep the most stringent count of links*******************

replace weak_fiscal=sumcount_fiscal if weak_fiscal==. & sumcount_fiscal!=.
replace sumcount_elected_fiscal=0 if sumcount_elected_fiscal==. & sumcount_fiscal!=.
 
replace sumcount=sumcount_fiscal if sumcount_fiscal>sumcount & sumcount_fiscal!=.
replace sumcount_elected=sumcount_elected_fiscal if sumcount_elected_fiscal!=. & sumcount_elected_fiscal>sumcount_elected
replace numcandis=weak_fiscal if weak_fiscal!=. & weak_fiscal>numcandis

gen sumother_fiscal=sumother
replace sumother_fiscal=weak_fiscal if weak_fiscal!=. & weak_fiscal>sumother

gen no_data=1 if sumcount==. & sumcount_elected==. & numcandis==.
replace no_data=0 if no_data==.
replace sumcount=0 if sumcount==.
replace numcandis=0 if numcandis==.
replace numcandis=numcandis-sumcount
replace sumcount_elected=0 if sumcount_elected==.
*weak links exclude regular

 
 
********************dum_elected if former councilor*****************************
*****************dum_three if 3 or more former candidates***********************
*********Treatment variable - satisfies both connection criteria ***************



gen dum_elected=0
replace dum_elected=1 if sumcount_elected>=1 & sumcount_elected!=.

gen dum_three=0
replace dum_three=1 if sumcount>=3 & sumcount!=.

gen treatment=0
replace treatment=1 if sumcount>=3 & sumcount_elected>=1 & sumcount!=. & sumcount_elected!=.



*****************Normalized number of former candidates csc*********************
*****************If zero, just above the threshold******************************
gen csc=sumcount-2
gen csc2=csc^2
gen csc3=csc^3

sort codi_mun codi_pro


save police.dta, replace



 
