


*******************************************************************************
*This file takes the list of street terror attacks from the pdf by Buesa,
* (Actividades terroristas de ETA Julio-2008.pdf, in /Documents_kale, and merges 
* it with municipality codes and reshapes it so that it's ready for a d-i-d
********************************************************************************

clear 
set more off 
set matsize 800

cd ${basedir}

*import excel Documents_kale/kale_excel.xls, sheet("Hoja1") firstrow
*save Data/kale_excel_dta.dta, replace
use Data/kale_excel_dta.dta
rename Municipio nom
replace nom=trim(nom)
rename ID attack_id
rename Fecha date
sort nom

merge m:m nom  using Data/codis_mun_access13.dta
 

 

gen month_aux=substr(date,6,4)
replace month_aux=trim(month_aux)
gen month=0
local i=0
foreach var in ene feb mar abr may jun jul ago sep oct nov dic{
local i=`i'+1
replace month=month+`i' if month_aux=="`var'"
}

gen year=substr(date,-1,4)
destring year, replace

gen day=substr(date,1,2)
destring day, replace


bys day month year codi_mun codi_pro: gen num_aux=_n
*drop municipalities where nothing happened 
keep if _merge==3
drop _merge
destring codi_mun, replace
destring codi_pro, replace
sort codi_mun codi_pro
tab year
destring ident, replace
*Merge to keep municipalities with relevant political variables 
merge m:m codi_mun codi_pro using Data/aux_regional.dta
keep if _merge==3
sort year month
egen group_my=group(year month)


 
*Collapse the database at the month-year by municipality level, after counting the
*total attacks in a municipality by month-year
bys codi_mun codi_pro year month: gen total=_N
bys codi_mun codi_pro year month: gen order=_n
keep if order==1

keep codi_mun codi_pro year month total
destring, replace 

*Reshape so that we have one observation per month-year 
reshape wide total, i(codi_pro codi_mun year) j(month)
 
forval z=1/12{
replace total`z'=0 if total`z'==.
}


rename total10 totala
rename total11 totalb
rename total12 totalc
 
 
reshape wide total*, i(codi_pro codi_mun ) j(year)

sort codi_mun codi_pro

*Merge to fill with zeros municipalities with no events
merge codi_mun codi_pro using Data/aux_regional.dta

ds total*
local varlist `r(varlist)'

foreach var in `varlist'{

replace `var'=0 if `var'==.  
}
*Reshape to have one observation by period and municipality
reshape long total1 total2 total3 total4 total5 total6 total7 total8 total9 totala totalb totalc, i(codi_pro codi_mun  ) j(year)

rename totala total10
rename totalb total11
rename totalc total12
reshape long total, i(codi_pro codi_mun   year) j(month)


save Data/kale_buesa.dta, replace



gen post=1
replace post=0 if year==6
replace post=0 if year==7 & month<5

drop if post==1

egen sumtotal=sum(total), by(ident)
bys ident: gen naux=_n
keep if naux==1
keep ident sumtotal

rename sumtotal sumtotal_kale_pre

sort ident

save Data/aux_kale.dta, replace
