





*****************This produces all the output on street violence****************


clear 
set more off 
set matsize 800

cd ${basedir}

use Data/kale_buesa.dta
global maxperiod 27
gen post=1
replace post=0 if year==6
replace post=0 if year==7 & month<5

gen treatpost2007=-m_bat_present_2007*post
gen treatment_post=treatment*post

egen groupleg=group(m_bat_present_1987 m_bat_present_1991 m_bat_present_1995 m_bat_present_1999)

 

gen dumkale=0
replace dumkale=1 if total!=0

gen elecmonth=0
replace elecmonth=1 if month==5 & year==7

sort year month
egen period=group(year month)
*No attacks before this point
sum total if period<=3
drop if period<=3
drop period
sort year month
egen period=group(year month)


*No attacks beyond this point
drop if period>$maxperiod
 
foreach var in total dumkale{
forval z=1/$maxperiod{

gen `var'`z'aux=`var' if period==`z'
egen `var'_`z'=max(`var'`z'aux), by(ident)
drop `var'`z'aux
}
}
 
*Take mean of total attacks by month-year and by treatment group, to be plotted*
egen meantotal=mean(total), by(m_bat_present_2007 period) 

gen period_string="Jan" if month==1
replace period_string="Feb" if month==2
replace period_string="Mar" if month==3
replace period_string="Apr" if month==4
replace period_string="May" if month==5
replace period_string="Jun" if month==6
replace period_string="Jul" if month==7
replace period_string="Aug" if month==8
replace period_string="Sep" if month==9
replace period_string="Oct" if month==10
replace period_string="Nov" if month==11
replace period_string="Dec" if month==12
 
replace period_string=period_string+ " 2006" if year==6 
replace period_string=period_string+ " 2007" if year==7
replace period_string=period_string+ " 2008" if year==8 

*because we are plotting the mean
bys m_bat_present_2007 period: gen naux=_n 

binscatter meantotal period if naux==1, by(m_bat_present_2007) xline(13.5)   linetype(connect) ytitle("Percentage")  xtitle("xtitle")/*
*/ xlabel(1 "Apr 2006" 7 "Oct 2006" 13 "Apr 2007" 19 "Oct 2007"   25 "Apr 2008")   /*
*/  legend( order( 1 "Other Local Parties, Legal in 2007"  2   "Other Local Parties, Ban in 2007" ) rows(1) size(small) ) discrete  aspectratio(.4)  graphregion(color(white)) bgcolor(white)  $symbolscolors

 

quietly graph export "paper/kale_borroka.eps", as(eps) replace
drop naux

 




gen groupmonth=period
gen quarter=1 if groupmonth<=4
replace quarter=2 if groupmonth<=7 & quarter==.
replace quarter=3 if groupmonth<=10 & quarter==.
replace quarter=4 if groupmonth<=13 & quarter==.
replace quarter=5 if groupmonth<=16 & quarter==.
replace quarter=6 if groupmonth<=19 & quarter==.
replace quarter=7 if groupmonth<=22 & quarter==.
replace quarter=8 if groupmonth<=25 & quarter==.
replace quarter=9 if groupmonth<=27 & quarter==.
capture replace quarter=9 if groupmonth<=28 & quarter==.
capture replace quarter=10 if groupmonth<=31 & quarter==.
capture replace quarter=11 if groupmonth<=33 & quarter==.


****Take mean of total attacks by quarter and treatment group, to be plotted****
egen qtotal=sum(total), by(id quarter)
bys id quarter: gen num=_n 
egen qm=mean(qtotal),   by(m_bat_present_2007 quarter num)
 

bys m_bat_present_2007 quarter num: gen naux=_n

binscatter qm quarter if naux==1, by(m_bat_present_2007) xline(4.5)   linetype(connect)  aspectratio(.3)/*
*/xlabel(1 "04/06-07/06"   3 "11/07-01/08" 5 "05/07-07/07"   7 "11/07-01/08"   ,labsize(medium))     legend(label(1 "Legal in May 2007") label(2  "Ban in May 2007"))  xtitle("Quarter") ytitle("Street Terrorism Episodes") /*
*/  graphregion(fcolor(white))   graphregion(color(white)) bgcolor(white)  $symbolscolors

quietly graph export "paper/kale_borroka_quarterly.eps", as(eps) replace

drop naux




gen platreatpost2007=-m_bat_present_2007*(period>=7)
************************EFFECT ON TOTAL ATTACKS*********************************
***************ACROSS PERIODS, AND INCLUDING PLACEBO REGRESSIONS****************
eststo clear
 

**Short run
global outcome  total
capture drop resdv restreat
global controls i.period i.ident period#groupleg
global ifkale  if period<=14
quietly reg   $outcome $controls $ifkale
quietly predict resdv $ifkale, res
quietly reg treatpost2007 $controls $ifkale
quietly predict restreat $ifkale, res
reg resdv restreat $ifkale, cluster(ident)
est sto t1c1
estadd local Sample "Until May 2007"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace


reghdfe $outcome treatpost2007 platreatpost2007 $ifkale, absorb(ident period period#groupleg) vce(cluster ident)
est sto t1c1p
estadd local Sample "Until May 2007"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace

**Overall
capture drop resdv restreat
global ifkale  
quietly reg   $outcome $controls $ifkale
quietly predict resdv $ifkale, res
quietly reg treatpost2007 $controls $ifkale
quietly predict restreat $ifkale, res
reg resdv restreat $ifkale, cluster(ident)
est sto t1c2
estadd local Sample "Full"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace

reghdfe $outcome treatpost2007 platreatpost2007 $ifkale, absorb(ident period period#groupleg) vce(cluster ident)
est sto t1c2p
estadd local Sample "Full"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace


**Except short
capture drop resdv restreat
global ifkale  if period!=14
quietly reg   $outcome $controls $ifkale
quietly predict resdv $ifkale, res
quietly reg treatpost2007 $controls $ifkale
quietly predict restreat $ifkale, res
reg resdv restreat $ifkale, cluster(ident)
est sto t1c3
estadd local Sample "Except May 2007"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace

reghdfe $outcome treatpost2007 platreatpost2007 $ifkale, absorb(ident period period#groupleg) vce(cluster ident)
est sto t1c3p
estadd local Sample "Except May 2007"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace


 


 esttab t1c1 t1c2 t1c3 using paper/tabkale3.tex,  se keep(restreat) /*
*/ tex gaps  coeflabels(restreat "\addlinespace[1ex] \$I(\text{Post May 2007}) \times I(\text{Ban in 2007})$" ) /*
*/  nomtitles mgroups("ST Episodes", pattern(1 0 0  ) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}) )   /*
*/   s(Sample MuniFE PBPYearFE  N N_clust, label(  "\addlinespace[1ex] Sample" "Municipality FE" "Pre-ban presence $\times$ Month FE" "N"  "Municipalities")) /*
*/ star(* 0.0000000000000000000001) nonotes postfoot(\hline\hline \multicolumn{4}{{p{\linewidth}}}{\footnotesize /*
*/ Standard errors clustered at the municipality level in parentheses. The dependent variable is given by the monthly number of street terrorism attacks. }\\ /*
*/ \end{tabular}} ) replace


 esttab t1c1p t1c2p t1c3p using paper/tabkale3p.tex,  se keep(treatpost2007 platreatpost2007) /*
*/ tex gaps  coeflabels(treatpost2007 "\addlinespace[1ex] \$I(\text{Post May 2007}) \times I(\text{Ban in 2007})$" platreatpost2007 "\addlinespace[1ex] \$I(\text{Post October 2006}) \times I(\text{Ban in 2007})$" ) /*
*/  nomtitles mgroups("ST Episodes", pattern(1 0 0  ) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}) )   /*
*/   s(Sample MuniFE PBPYearFE  N N_clust, label(  "\addlinespace[1ex] Sample" "Municipality FE" "Pre-ban presence $\times$ Month FE" "N"  "Municipalities")) /*
*/ star(* 0.0000000000000000000001) nonotes postfoot(\hline\hline \multicolumn{4}{{p{\linewidth}}}{\footnotesize /*
*/ Standard errors clustered at the municipality level in parentheses. The dependent variable is given by the monthly number of street terrorism attacks. }\\ /*
*/ \end{tabular}} ) replace

***************EXCEPT ON THE PROBABILITY OF A MONTHLY ATTACK********************
***************ACROSS PERIODS, AND INCLUDING PLACEBO REGRESSIONS****************

eststo clear
**Short run
global outcome  dumkale
capture drop resdv restreat
global controls i.period i.ident period#groupleg
global ifkale  if period<=14
quietly reg   $outcome $controls $ifkale
quietly predict resdv $ifkale, res
quietly reg treatpost2007 $controls $ifkale
quietly predict restreat $ifkale, res
reg resdv restreat $ifkale, cluster(ident)
est sto t1c1
estadd local Sample "Until May 2007"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace

reghdfe $outcome treatpost2007 platreatpost2007 $ifkale, absorb(ident period period#groupleg) vce(cluster ident)
est sto t1c1p
estadd local Sample "Until May 2007"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace


**Overall
capture drop resdv restreat
global ifkale  
quietly reg   $outcome $controls $ifkale
quietly predict resdv $ifkale, res
quietly reg treatpost2007 $controls $ifkale
quietly predict restreat $ifkale, res
reg resdv restreat $ifkale, cluster(ident)
est sto t1c2
estadd local Sample "Full"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace

reghdfe $outcome treatpost2007 platreatpost2007 $ifkale, absorb(ident period period#groupleg) vce(cluster ident)
est sto t1c2p
estadd local Sample "Full"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace


**Except short run
capture drop resdv restreat
global ifkale  if period!=14
quietly reg   $outcome $controls $ifkale
quietly predict resdv $ifkale, res
quietly reg treatpost2007 $controls $ifkale
quietly predict restreat $ifkale, res
reg resdv restreat $ifkale, cluster(ident)
est sto t1c3
estadd local Sample "Except May 2007"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace

reghdfe $outcome treatpost2007 platreatpost2007 $ifkale, absorb(ident period period#groupleg) vce(cluster ident)
est sto t1c3p
estadd local Sample "Except May 2007"
estadd local MuniFE "$\checkmark$" , replace
estadd local PBPYearFE "$\checkmark$" , replace

 

  esttab t1c1 t1c2 t1c3 using paper/tabkale4.tex,  se keep(restreat) /*
*/ tex gaps  coeflabels(restreat "\addlinespace[1ex] \$I(\text{Post May 2007}) \times I(\text{Ban in 2007})$" ) /*
*/  nomtitles mgroups("I(ST Episode)", pattern(1 0 0  ) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}) )   /*
*/   s( Sample MuniFE PBPYearFE  N N_clust, label(  "\addlinespace[1ex] Sample" "Municipality FE" "Pre-ban presence $\times$ Month FE" "N"  "Municipalities")) /*
*/ star(* 0.0000000000000000000001) nonotes postfoot(\hline\hline \multicolumn{4}{{p{\linewidth}}}{\footnotesize /*
*/ Standard errors clustered at the municipality level in parentheses. The dependent variable is a dummy equal to one if there is one or more episode of street terrorism in a month.}\\ /*
*/ \end{tabular}} ) replace

 esttab t1c1p t1c2p t1c3p using paper/tabkale4p.tex,  se keep(treatpost2007 platreatpost2007) /*
*/ tex gaps  coeflabels(treatpost2007 "\addlinespace[1ex] \$I(\text{Post May 2007}) \times I(\text{Ban in 2007})$" platreatpost2007 "\addlinespace[1ex] \$I(\text{Post October 2006}) \times I(\text{Ban in 2007})$" ) /*
*/  nomtitles mgroups("I(ST Episode)", pattern(1 0 0  ) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}) )   /*
*/   s( Sample MuniFE PBPYearFE  N N_clust, label(  "\addlinespace[1ex] Sample" "Municipality FE" "Pre-ban presence $\times$ Month FE" "N"  "Municipalities")) /*
*/ star(* 0.0000000000000000000001) nonotes postfoot(\hline\hline \multicolumn{4}{{p{\linewidth}}}{\footnotesize /*
*/ Standard errors clustered at the municipality level in parentheses. The dependent variable is a dummy equal to one if there is one or more episode of street terrorism in a month.}\\ /*
*/ \end{tabular}} ) replace
 
  



